Initiate a payment for a merchant

This API endpoint is used to collect payment with mobile money or credit card. The payment can be an invoice,
a payment link or any other type of collect. The request body is defined by the type of collect.
For example, to collect an invoice, just invoiceId is required in the request body.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
string
enum

Optional. The type of payment method to use. E.g card, mtn_money, orange_money, free_money. If the type is not provided,
the customer will be redirected to Bictorys checkout page

Body Params
double

Optional. Amount to be charged.

string

Optional. The currency to charge the customer. Required only if amount above is set.

orderDetails
array of objects

list of purchased items

orderDetails
string

Optional. Payment reference to be shown on payment page.

string

The identifier of the device used to make the payment

uuid

Optional. Unique Id of the customer. If provided, customerObject object below will be ignored.

customerObject
object

Optional. Customer information. If you have not created the customer representation in the system, you can provided using this object.

string

Recommended. The country where the payment should be processed. For card payment, it's the country where the merchant entity is registered. For mobile Money, it's the country of the customer. If not provided, the country of the merchant is used.

cardObject
object

Optional. Card information. Provide it when you set the payment_type to card

tokenizedCardObject
object

Optional. Card information. Provide it when you set the payment_type to tokenized_card

boolean

request approval from card issuer to reserve an amount on the holder card to pay later the transaction. When set to true, an authorization request will be send to card issuer. If ignored or set to false, holder card will be charged immediately

string

Optional. any reference passed by the caller. It will be returned in the response and webhook payload.

string

Optional. User-agent will be redirected to this url after payment is successfully done

string

Optional. User-agent will be redirected to this url after payment is failed or cancelled. The same url can be used for both succeed and failed transaction

boolean
Defaults to false

Optional. In the case of checkout or iframe integration, the customer can update phone number or other details, this information are used or the payment. By default, customer profile is not created or updated in this request. If you want that we update customer profile, set allow_update_customer to true. However we recommend to create customer using customer before using charge API

Headers
string

HTTP request identifier allow to trace individual request sent from client to service.

string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

401

The caller is unauthenticated

403

Access rights not sufficient

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
application/problem+json